Create & Execute Transfer (GQL)

Note: All the Fx Pay API's have the endpoint: /graphql

Please refer to the link: FX Pay Transfers for details about FX Pay Transfers.

Use this API to create and execute transfers, securing a specific exchange rate for a future transaction.

Behaviour: A successful response from this API indicates that the requested transfer was successfully created and executed.

FunctionWebhook
Create and Submit TransferCreate and Submit Transfer
Body Params

The following fields provide detailed information about the GraphQL mutation used to create and submit a transfer transaction:

ParameterDescriptionMandatoryData TypeExample
createAndSubmitTransferThis mutation is used to create and submit a transfer transaction.YesMutation
inputAn object containing details required to specify the transfer transaction.YesObject
typeThe type of transfer. Specified as "CREDIT" for credit transfer.YesStringCREDIT
paymentTypeThe type of payment. Specified as "FXPAY" for foreign exchange payment.YesStringFXPAY
amountThe amount of the transfer.YesFloat1000.00
correlationIdA unique identifier or correlation to avoid duplicate transfers.YesStringcorr12345
paymentRailMetaDataAdditional metadata related to the payment rail, particularly for foreign exchange payments.NoObject
destinationCurrencyThe currency of the recipient's account.YesStringINR
destinationAmountThe amount to be received in the destination currency.YesFloat74000.00
fxHoldIdThe ID associated with the FX rate hold or lock used for the currency conversion.YesStringfxHold12345
fxRateThe foreign exchange rate used for the currency conversion.YesFloat74.00
holdExpiryAtThe timestamp indicating when the FX rate hold or lock expires.YesString2024-07-26T12:00:00Z
purposeCode(Optional) A purpose code associated with the transfer.NoStringTRAVEL
debtorDetails of the entity initiating the transfer (the one who owes the payment).YesObject
identifierThe identifier of the debtor.YesStringdebtor12345
creditorDetails of the entity receiving the transfer (the one who is owed the payment).YesObject
recipientIdThe ID of the recipient.YesStringrecipient12345
identifierThe identifier of the creditor, typically in a specific format for FXPAY.YesStringcreditor12345
nameThe name of the recipient.YesStringJohn Doe
accountEntityThe type of recipient account. Allowed values: Individual, BUSINESSYesStringIndividual
cityThe city of the recipient's address.YesStringMumbai
stateOrProvinceThe state or province of the recipient's address.YesStringMaharashtra
postalCodeThe postal code of the recipient's address.YesString400001
countryThe country of the recipient's address.YesStringIndia
addressThe recipient's address details.YesString123 Main St, Mumbai
idThe ID of the created transfer.YesStringtransfer12345
resourceIdentifierA unique identifier associated with the created transfer.YesStringres12345
string
required
Defaults to mutation { createAndSubmitTransfer( input: { type: "CREDIT" paymentType: "FXPAY" correlationId: "9478eaf5-8850-4108-8788-b04bebr57fdt" amount: 1.04 paymentRailMetaData: { destinationCurrency: "INR" destinationAmount: 3.23 fxHoldId: "d255a00a-8d84-49ef-a791-553f90af5594" fxRate: 82.8379176 holdExpiryAt: "2024-07-17T16:04:45.200Z" purposeCode: "IR004" } debtor: { identifier: "ACCOUNT:7001903403" } creditor: { identifier: "FXPAY://22222/123233" name: "TSET TEST" accountEntity: BUSINESS city: "Springfield" stateOrProvince: "Chhattisgarh" postalCode: "112124" country: "IN" address: ["s271", "1397 Frank Avenue", "Address3"] } }) { id externalId } }
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json